Bug 1845607 - [Bare Metal] Add additional CI jobs to test CRD and code generation
Summary: [Bare Metal] Add additional CI jobs to test CRD and code generation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Kiran Thyagaraja
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-09 16:01 UTC by Kiran Thyagaraja
Modified: 2020-10-27 16:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:06:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-baremetal pull 112 0 None closed Bug 1845607:Add generate-check Makefile target to check the generated code and CRDs 2020-10-07 09:44:19 UTC
Github openshift release pull 9713 0 None closed Bug 1845607: Add CAPBM tests for code-generation and manifest creation 2020-10-07 09:44:19 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:06:19 UTC

Description Kiran Thyagaraja 2020-06-09 16:01:07 UTC
The current CI setup for openshift's cluster-api-provider-baremetal repo only has the following tests:
- e2e-metal-ipi
- gofmt — Job succeeded.
- govet
- images

Test to perform CRD and deepcopy code generation should be added to the list.

Comment 4 Raviv Bar-Tal 2020-09-23 13:56:10 UTC
Hey Kiran,
This BZ is about upstream CI job,
Can you confirem the code was marged?
If so I (or you) can verify this BZ with otherQA keyword.
Thanks

Comment 5 Doug Hellmann 2020-09-23 14:16:35 UTC
https://github.com/openshift/cluster-baremetal-operator/pull/19 ran a generate-check job with the output https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-baremetal-operator/19/pull-ci-openshift-cluster-baremetal-operator-master-generate-check/1308540454349836288  but I don't actually see the messages I expect in the log output from the job to show that it did anything.

When I run `make generate-check` myself I see:

$ make generate-check
./hack/generate.sh
make[1]: Entering directory '/home/dhellmann/go/src/github.com/openshift/cluster-baremetal-operator'
go run vendor/sigs.k8s.io/controller-tools/cmd/controller-gen/main.go "crd:trivialVersions=true" rbac:roleName=manager-role webhook paths="./..." output:crd:artifacts:config=config/crd/bases
go: downloading golang.org/x/tools v0.0.0-20200616133436-c1934b75d054
make[1]: Leaving directory '/home/dhellmann/go/src/github.com/openshift/cluster-baremetal-operator'

Comment 6 Kiran Thyagaraja 2020-09-25 20:19:36 UTC
(In reply to Raviv Bar-Tal from comment #4)
> Hey Kiran,
> This BZ is about upstream CI job,
> Can you confirem the code was marged?
> If so I (or you) can verify this BZ with otherQA keyword.
> Thanks

Hi Raviv.
This code is upstream and has already merged.
Thanks

Comment 7 Kiran Thyagaraja 2020-09-26 14:54:13 UTC
(In reply to Doug Hellmann from comment #5)
> https://github.com/openshift/cluster-baremetal-operator/pull/19 ran a
> generate-check job with the output
> https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/
> openshift_cluster-baremetal-operator/19/pull-ci-openshift-cluster-baremetal-
> operator-master-generate-check/1308540454349836288  but I don't actually see
> the messages I expect in the log output from the job to show that it did
> anything.
> 
> When I run `make generate-check` myself I see:
> 
> $ make generate-check
> ./hack/generate.sh
> make[1]: Entering directory
> '/home/dhellmann/go/src/github.com/openshift/cluster-baremetal-operator'
> go run vendor/sigs.k8s.io/controller-tools/cmd/controller-gen/main.go
> "crd:trivialVersions=true" rbac:roleName=manager-role webhook paths="./..."
> output:crd:artifacts:config=config/crd/bases
> go: downloading golang.org/x/tools v0.0.0-20200616133436-c1934b75d054
> make[1]: Leaving directory
> '/home/dhellmann/go/src/github.com/openshift/cluster-baremetal-operator'

I wonder if the CI container is only reporting stderr and ignoring stdout.

Comment 10 errata-xmlrpc 2020-10-27 16:06:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.